package com.skywang.ndk;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

public class NdkParam extends Activity {
	public static final String TAG="skywang--NdkParam";
    /** Called when the activity is first created. */
	private Person person=null;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Log.d(TAG, "on create.");
        person = new Person();
        for (int i=0; i<3; i++) {
	        getPersonInfoByIndex(person, i);
	        Log.d(TAG, "person["+i+"] -- "+person);
        }
    }
    
    // jni中注册的方法
    private native int getPersonInfoByIndex(Person person, int index);

    static {
    	// 加载本地libndk_load.so库文件
        System.loadLibrary("ndk_param");
    }
}